#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire2two6004xi.py">
#<abstract4xi abstract = "fires to direction two and to distance 600"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2two6004xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
# -------------------------------------------------------------------------------------------------
# SHOT2TWO - COORDINATE SIGNS OF SHOOT2TWO4XI: (X + ,Y - ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2two6004xi

#"
#/>

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

# -------------------------------------------------------------------------------------------------
# 600
# -------------------------------------------------------------------------------------------------
shot2two6004xi = {
        1:'0x0y-599z',
        2:'109x-266y-526z',
        3:'10x-260y-540z',
        4:'114x-587y-36z',
        5:'116x-352y-471z',
        6:'121x-255y-528z',
        7:'131x-244y-531z',
        8:'133x-341y-474z',
        9:'141x-232y-534z',
        10:'145x-580y-42z',
        11:'149x-329y-478z',
        12:'150x-220y-537z',
        13:'158x-208y-539z',
        14:'164x-317y-481z',
        15:'165x-195y-542z',
        16:'166x-4y-576z',
        17:'171x-14y-574z',
        18:'172x-182y-545z',
        19:'175x-571y-48z',
        20:'176x-23y-572z',
        21:'177x-169y-547z',
        22:'178x-304y-485z',
        23:'180x-34y-571z',
        24:'182x-156y-549z',
        25:'184x-44y-569z',
        26:'185x-143y-552z',
        27:'187x-55y-567z',
        28:'188x-130y-554z',
        29:'189x-67y-565z',
        30:'190x-117y-556z',
        31:'190x-79y-563z',
        32:'191x-104y-559z',
        33:'191x-290y-489z',
        34:'191x-91y-561z',
        35:'203x-276y-492z',
        36:'204x-561y-54z',
        37:'214x-261y-495z',
        38:'21x-599y-18z',
        39:'224x-246y-499z',
        40:'22x-394y-451z',
        41:'233x-230y-502z',
        42:'233x-549y-60z',
        43:'23x-254y-542z',
        44:'241x-214y-505z',
        45:'248x-198y-508z',
        46:'24x-318y-507z',
        47:'253x-182y-512z',
        48:'254x-11y-543z',
        49:'258x-165y-515z',
        50:'258x-25y-540z',
        51:'261x-535y-66z',
        52:'262x-149y-518z',
        53:'262x-39y-538z',
        54:'265x-133y-521z',
        55:'265x-54y-535z',
        56:'267x-117y-524z',
        57:'267x-69y-532z',
        58:'268x-101y-527z',
        59:'268x-85y-529z',
        60:'281x-529y0z',
        61:'289x-520y-72z',
        62:'2x-399y-447z',
        63:'309x-514y-5z',
        64:'315x-504y-78z',
        65:'335x-497y-11z',
        66:'340x-486y-84z',
        67:'360x-478y-17z',
        68:'365x-467y-90z',
        69:'36x-247y-545z',
        70:'385x-459y-23z',
        71:'388x-446y-96z',
        72:'408x-438y-29z',
        73:'40x-311y-511z',
        74:'410x-425y-102z',
        75:'430x-416y-35z',
        76:'431x-402y-108z',
        77:'43x-387y-455z',
        78:'451x-378y-113z',
        79:'451x-392y-41z',
        80:'469x-353y-119z',
        81:'471x-368y-47z',
        82:'486x-327y-125z',
        83:'489x-342y-53z',
        84:'48x-239y-547z',
        85:'501x-301y-131z',
        86:'506x-316y-59z',
        87:'515x-273y-137z',
        88:'521x-289y-65z',
        89:'528x-245y-143z',
        90:'52x-597y-24z',
        91:'535x-261y-71z',
        92:'538x-217y-149z',
        93:'547x-232y-77z',
        94:'548x-188y-154z',
        95:'555x-159y-160z',
        96:'558x-203y-83z',
        97:'55x-304y-514z',
        98:'561x-129y-166z',
        99:'566x-99y-172z',
        100:'567x-173y-89z',
        101:'568x-69y-177z',
        102:'569x-39y-183z',
        103:'569x-9y-189z',
        104:'574x-143y-95z',
        105:'579x-155y-1z',
        106:'580x-112y-101z',
        107:'584x-82y-107z',
        108:'586x-124y-7z',
        109:'587x-20y-118z',
        110:'587x-51y-112z',
        111:'592x-93y-13z',
        112:'596x-62y-19z',
        113:'598x-31y-25z',
        114:'59x-231y-550z',
        115:'62x-380y-459z',
        116:'70x-295y-517z',
        117:'7x-324y-504z',
        118:'81x-259y-644z',
        119:'81x-372y-463z',
        120:'83x-593y-30z',
        121:'84x-286y-520z',
        122:'97x-277y-523z',
        123:'99x-362y-467z'}
        
        
#"
#"/>

        
# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire600two4xi" usage = "target function for chargeone4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire600two4xi(queue2two, consumer_channel2two, publisher_channel2two):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE600TWO4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE600TWO4XI -  QUEUE2TWO: ", queue2two)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE600TWO4XI -  CONSUMER_CHANNEL2TWO: ", consumer_channel2two)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE600TWO4XI -  PUBLISHER_CHANNEL2TWO: ", publisher_channel2two)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE600TWO4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2two.put(shot2two6004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE600TWO4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE600TWO4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE600TWO4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2two8shot2two6004xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2two8shot2two6004xi</nack2put4xi>" 
            
        publisher_channel2two.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE600TWO4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE600TWO4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE600TWO4XI - RETURNING QUEUE OBJECT QUEUE2TWO: ", queue2two, " - TIME: ", time4xi())  
        # 
            
    return queue2two    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verbkb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire2two6004xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
        